package com.ruoyi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.domain.TestScenario;
import com.ruoyi.mapper.TestScenarioMapper;
import com.ruoyi.service.ITestScenarioService;
import com.ruoyi.web.request.TestScenarioRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class TestScenarioServiceImpl extends ServiceImpl<TestScenarioMapper, TestScenario> implements ITestScenarioService {

    @Autowired
    private TestScenarioMapper testScenarioMapper;

    @Override
    public List<TestScenario> selectTestScenarioList(TestScenarioRequest testScenarioRequest){
        return testScenarioMapper.selectTestScenarioList(testScenarioRequest);
    }
}
