package com.ruoyi.service;

import com.ruoyi.domain.ReviewEnterpriseArchive;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.domain.vo.ReviewEnterpriseArchiveViewVO;
import com.ruoyi.web.request.ReviewEnterpriseArchiveFindFileNameListRequest;
import com.ruoyi.web.request.ReviewEnterpriseArchiveFindRequest;
import com.ruoyi.web.request.ReviewEnterpriseArchiveGetInfoRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author wangfei
* @description 针对表【t_review_enterprise_archive(车企留档文件)】的数据库操作Service
* @createDate 2024-02-22 15:32:57
*/
public interface ReviewEnterpriseArchiveService extends IService<ReviewEnterpriseArchive> {

    List<ReviewEnterpriseArchiveViewVO> view(Long taskId);

    Long addEnterpriseArchive(ReviewEnterpriseArchive reviewEnterpriseArchive);

    /**
     * 分页查询
     * @param request
     * @return
     */
    List<ReviewEnterpriseArchive> findEnterpriseArchive(ReviewEnterpriseArchiveFindRequest request);

    /**
     * 查看详情
     * @param request
     * @return
     */
    ReviewEnterpriseArchive getInfo(ReviewEnterpriseArchiveGetInfoRequest request);

    List<ReviewEnterpriseArchive> findList(ReviewEnterpriseArchiveFindFileNameListRequest request);
}
